---
names:
  full: "AWS S3 Bucket Object Lock is not enabled"
  contextual: "Bucket Object Lock is not enabled"
description: "S3 Object Lock can help prevent Amazon S3 objects from being deleted\
  \ or overwritten for a fixed amount of time or indefinitely. Object Lock uses a\
  \ write-once-read-many (WORM) model to store objects. You can use Object Lock to\
  \ help meet regulatory requirements that require WORM storage, or to add another\
  \ layer of protection against object changes or deletion."
type: "BEST_PRACTICE"
categories:
  - "SECURITY"
  - "RELIABILITY"
frameworkMappings:
  - "/frameworks/cloudaware/resource-security/data-protection-and-recovery"
  - "/frameworks/cloudaware/resource-reliability/system-configuration"
  - "/frameworks/aws-well-architected/sec/08/04"
  - "/frameworks/nist-sp-800-53-r5/cp/06/02"
  - "/frameworks/pci-dss-v4.0.1/10/05/01"
similarPolicies:
  internal:
    - "dec-x-b443805a"
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity/knowledge-base/aws/S3/object-lock.html"
      name: "S3 Object Lock"
